/*	
 *	clipwire.h
 *
 *	C[t[``܂B
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2004 Naoyuki Sawa
 *
 *	* Tue Dec 21 04:30:00 JST 2004 Naoyuki Sawa
 *	- 쐬JnB
 *	- ̃W[́Acliprend.hւ̒ǉ@\łB
 *	  cliprend.hɊ܂߂Ăǂ̂łAt̒ǉ@\Ȃ̂ŕ܂B
 *	- ƂƁAC[t[`͌v悵ĂȂ߂ɁA
 *	  ʓIȖ̂eNX`t|S`pɊ蓖ĂĂ܂Ă܂B
 *	  {̓C[t[IuWFNgubV(MESH)vȂ̂łǁA
 *	  gĂ܂Ă̂ŁAC[t[IuWFNǵuWIREvƂ܂B
 *	  ̂悤Ȍo܂ɂÂ̔Ώ̐Ă܂Ă܂B(2004/12/21)
 */
#ifndef __CLIP_WIRE_H__
#define __CLIP_WIRE_H__

/*****************************************************************************
 *	
 *****************************************************************************/

typedef struct _WSEG {		/* ZOg()            */
	short iv0;		/* +0,2 n__WCfNX */
	short iv1;		/* +2,2 I__WCfNX */
} WSEG;				/* =4 */

typedef struct _WIRE {		/* C[t[           */
	short nv;		/* +0,2        _W̐   */
	short ns;		/* +2,2        ZOg̐ */
//	vector v[nv];		/* +4,12nv     _WXg */
//	WSEG   s[ns];		/* +4+12nv,4ns Xg     */
} WIRE;				/* =4+12nv+4ns */

/*****************************************************************************
 *	
 *****************************************************************************/

/* C[t[`܂B
 * [in]
 *	render		_[ւ̃|C^B
 *	wire		`悷郏C[t[B
 *	color		C[t[̐FB
 * [note]
 *	* C[t[`́AZobt@g܂B
 *	  ̃C[t[`sƁAŕ`̂OȂ܂B
 *	* 2004/12/21݁AC[t[f[^ɂ̓J[Ă܂B
 *	  ֐ĂяoɃJ[w肷AȈՂȎdlƂĂ܂B
 *	  ̊ȈՎdlɂÃC[t[`Ɋ܂܂SĂ̐
 *	  ׂēJ[ŕ`邽߂ɁẢs\[gsvƂȂA
 *	  PĂ܂B
 */
void render_wire(RENDER* render, const WIRE* wire, int color);

/* 3DԂɐ`܂B
 * [in]
 *	render		_[ւ̃|C^B
 *	(x0,y0,z0)	n_WB
 *	(x1,y1,z1)	I_WB
 *	color		J[B
 * [note]
 *	* PZOgō\ꂽC[t[̕`揈ƓłB
 *	  3DQ[ɂă[U[̕`Ȃǂɗp邽߂ɗpӂ܂B
 */
void render_line_3d(RENDER* render, fixed x0, fixed y0, fixed z0, fixed x1, fixed y1, fixed z1, int color);

#endif /*__CLIP_WIRE_H__*/
